Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.process
Class Mode

    java.lang.Object
      com.novell.xsl.process.Mode

    public final class Mode

extends Object

Immutable processing modes. Modes with the same name are represented by a single shared `Mode` object, so modes can be compared with `==` instead of the `equals` method. In addition, each mode has a unique identifying integer, assigned consecutively starting with zero, to facilitate efficient indexing at runtime.

Field Summary
`static Mode` | `ANY_MODE` A special mode that matches any mode; used by the built-in template rules.
`static Mode` | `DEFAULT_MODE` A special mode representing the unnamed default mode.

Method Summary
`static Mode` | `create(ExpandedQName modeName)` Creates a `Mode` with the specified mode name.
`ExpandedQName` | `getName()` Returns this mode's name.
`int` | `getNumber()` Returns this mode's unique identifying integer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_MODE

    public static final Mode DEFAULT_MODE

  A special mode representing the unnamed default mode. This mode is represented internally by a name that is not a legal XML 1.0 name so it will never clash with user-defined modes.

### ANY_MODE

    public static final Mode ANY_MODE

  A special mode that matches any mode; used by the built-in template rules. This mode is represented internally by a name that is not a legal XML 1.0 name so it will never clash with user-defined modes.

Method Detail

### create

    public static Mode create(ExpandedQName modeName)

  Creates a `Mode` with the specified mode name. Modes with the same name are represented by a single shared `Mode` object, so modes can be compared with `==` instead of the `equals` method.

  Parameters:
    `modeName` - the mode's expanded name
  Returns:
    the `Mode` object for the specified mode name
  Throws:
    `IllegalArgumentException` - if modeName is not a legal XML 1.0 name

### getName

    public ExpandedQName getName()

  Returns this mode's name.

  Returns:
    this mode's name

### getNumber

    public int getNumber()

  Returns this mode's unique identifying integer.

  Returns:
    this mode's unique identifying integer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD